Bug 693831 - Review Request: ocaml-dpt - SAT solver
Summary: Review Request: ocaml-dpt - SAT solver
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 710568
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-05 17:02 UTC by Jerry James
Modified: 2012-05-04 20:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-04 20:38:44 UTC
Type: ---


Attachments (Terms of Use)

Description Jerry James 2011-04-05 17:02:05 UTC
Spec URL: http://jjames.fedorapeople.org/ocaml-dpt/ocaml-dpt.spec
SRPM URL: http://jjames.fedorapeople.org/ocaml-dpt/ocaml-dpt-2.0-1.fc14.src.rpm
Description:
The Decision Procedure Toolkit (DPT) is a system of cooperating decision procedures for answering satisfiability queries.  The DPT implementation in OCaml comprises a DPLL-style SAT solver with theory-specific decision procedures.

This package is a prerequisite to some C code analysis tools I am trying to package.

Comment 1 Jerry James 2011-06-03 18:07:18 UTC
It looks like ocamldsort is broken in Fedora 15 and Rawhide at the moment.  This package should still build on Fedora 14, but will have to wait on an ocamldsort update otherwise.

Comment 3 Jerry James 2012-05-04 20:38:44 UTC
This package no longer builds with the Ocaml version in Rawhide, and I don't know why.  Furthermore, there are faster SAT solvers out there.  I think Isabelle users will be able to live without this one.  I am withdrawing this review request.


Note You need to log in before you can comment on or make changes to this bug.